#!/bin/sh
cd "$1"
cd ../../

# check if the global frameworks directory exists, create it if not
if [ ! -d /Library/Frameworks ]; then
	  # create
	mkdir /Library/Frameworks
	  # set group to the administrative group
	chgrp staff /Library/Frameworks
	  # allow group users to modify
	chmod 775 /Library/Frameworks
fi

# if build succeeded, then copy the framework to the proper location
if [ -d Contents/Resources/SupportItems/EskapeTVSupport.framework ]; then
    # check if the framework exists in /System/Library/Frameworks
    # delete it if it is
    if [ -d /Library/Frameworks/EskapeTVSupport.framework ]; then
        rm -rf /Library/Frameworks/EskapeTVSupport.framework
    fi
    
    cp -Rp Contents/Resources/SupportItems/EskapeTVSupport.framework /Library/Frameworks
    chmod -R ogu+r /Library/Frameworks/EskapeTVSupport.framework
    
    /usr/bin/update_prebinding  -files /Library/Frameworks/EskapeTVSupport.framework
else
    echo EskapeTVSupport.framework missing from build!
fi
