#!/bin/sh
cd "$1"
cd ../../

# this script assumes the current directory is the root directory of the project

# check if the global frameworks directory exists, create it if not
if [ ! -d "/Library/Application Support/Eskape PlugIns" ]; then
	  # create
	mkdir "/Library/Application Support/Eskape PlugIns"
	  # set group to the administrative group
	chgrp staff "/Library/Application Support/Eskape PlugIns"
	  # allow group users to modify
	chmod 775 "/Library/Application Support/Eskape PlugIns"
fi

if [ -d Contents/Resources/SupportItems/MyUSBHardware.TrinityDriver ]; then
    # check if the driver exists in /Library/Application Support/Eskape PlugIns
    # delete it if it is
    if [ -d "/Library/Application Support/Eskape PlugIns/MyUSBHardware.TrinityDriver" ]; then
        rm -rf "/Library/Application Support/Eskape PlugIns/MyUSBHardware.TrinityDriver"
    fi
    
    cp -Rp Contents/Resources/SupportItems/MyUSBHardware.TrinityDriver "/Library/Application Support/Eskape PlugIns"
    chmod -R ogu+r "/Library/Application Support/Eskape PlugIns/MyUSBHardware.TrinityDriver"
else
    echo MyUSBHardware.TrinityDriver missing from build!
fi
