/* _______________________________________________________________________
	EskapeTVSupport.h - main header file
	
	first created: 12/13/2001
	
	copyright  1999-2001 by Eskape Labs, Inc. - all rights reserved.
 _______________________________________________________________________*/


#ifndef _EskapeTVSupport_
#define _EskapeTVSupport_

#include <CoreFoundation/CoreFoundation.h>

#include <Trinity/TrinityCommon.h>
#include <Trinity/TrinityTuner.h>

#ifdef __cplusplus
extern "C" {
#endif

TrinityErr ETVGetTunerType(TRPipeRef pipeRef, unsigned char *tunerType);

	/* any of name, inputCount, and standards can be NULL */
TrinityErr ETVGetTunerInfo(TRPipeRef thePipe, char *name, short *inputCount, unsigned short *standards);

TrinityErr ETVSetTunerStandard(TRPipeRef pipeRef, unsigned short standard);
TrinityErr ETVGetTunerStandard(TRPipeRef pipeRef, unsigned short *standard);

TrinityErr ETVGetSupportedRatios(TRPipeRef pipeRef, unsigned short *ratios);
TrinityErr ETVSetTunerRatio(TRPipeRef pipeRef, unsigned short ratio);
TrinityErr ETVGetTunerRatio(TRPipeRef pipeRef, unsigned short *ratio);

TrinityErr ETVSetTunerInput(TRPipeRef pipeRef, short input);
TrinityErr ETVGetTunerInput(TRPipeRef pipeRef, short *input);

TrinityErr ETVSetTunerFrequency(TRPipeRef pipeRef, unsigned long frequency);
TrinityErr ETVGetTunerFrequency(TRPipeRef pipeRef, unsigned long *frequency);

// This call blocks until the AFT function either finds a valid signal
// call ETVGetTunerStatus to see if it's tuned then ETVGetTunerFrequency to get the actual freq
// returns kTRTunerFrequencyOutOfRangeErr on error or if no signal was found in the range specified
TrinityErr ETVSetTunerFrequencyAFT(TRPipeRef pipeRef, unsigned long baseFrequency);

TrinityErr ETVRefreshTuner(TRPipeRef pipeRef);

TrinityErr ETVGetTunerStatus(TRPipeRef pipeRef, unsigned char *status);

/*______________________________________________________________________*/

#pragma mark -
#pragma mark Private, DO NOT USE

/* This is a private call, do not use */
TrinityErr ETVGetTunerStandards(unsigned char tunerType, unsigned long *standards);

#ifdef __cplusplus
}
#endif

#endif /* _EskapeTVSupport_ */

/*______________________________________________________________________*/
